using Microsoft.Extensions.Logging;
using Quartz;

namespace Netina.Core.QuartzServices;

public class SiteMapScheduledJob(ILogger<SiteMapScheduledJob> logger, ISiteMapService siteMapService) : IJob
{
    public async Task Execute(IJobExecutionContext context)
    {
        await siteMapService.CreateSiteMapAsync();
        logger.LogInformation($"Site Map Job Done At : {DateTime.Now}");
    }
}